Subject: Re: [PATCH] tcp: Socket option to set congestion window

From: Andi Kleen <[email-masked]>
Date: Thu, 27 May 2010 20:56:56 +0200

> It would be better, by almost any perspective, to rein in the number
> of connections servers are allowing clients to open.  However this
> isn't going to happen if this means increase latency for end users,
> there's is no competitive rationale for servers to do that.  That's
> where a primary motivation of this patch becomes evident.  Instead of
> a server allowing 6 connections from a client, for instance, it could
> allow just one connection but with a initial congestion window equal
> to the aggregate of the 6 connections.  This reduces connections and

I thought the point was to avoid cwnd inflation by multiple connections?
Now you're saying you actually want larger cwnds? 

If you simply want larger CWNDs the easiest is to bump up the
define in your local build.

But that cannot be done by default obviously.

-Andi
-- 
[email-masked] -- Speaking for myself only.